org.apache.myfaces.trinidad.event

## Class LaunchEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.apache.myfaces.trinidad.event.LaunchEvent

- All Implemented Interfaces:
    Serializable

      public class LaunchEvent
      extends javax.faces.event.FacesEvent

  Event delivered to indicate that a dialog is about to be launched. A `LaunchListener` can serve to add parameters that should be passed to the dialog by using the `getDialogParameters()` map, or add UI hints for any dialog that is being raised by using the `getWindowProperties()` map.

  Version:
    $Name: $ ($Revision: adfrt/faces/adf-faces-api/src/main/java/oracle/adf/view/faces/event/LaunchEvent.java#0 $) $Date: 10-nov-2005.19:09:02 $
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LaunchEvent(javax.faces.component.UIComponent source, javax.faces.component.UIViewRoot viewRoot)` Create a LaunchEvent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Map<String,Object>` | `getDialogParameters()` A map of parameters to pass to the dialog.
    `javax.faces.component.UIViewRoot` | `getViewRoot()` The UIViewRoot that will be displayed at the start of the dialog.
    `Map<String,Object>` | `getWindowProperties()` A map of user interface hints used to configure a dialog.
    `int` | `hashCode()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `launchDialog(boolean useWindow)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`
    `String` | `toString()`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LaunchEvent

          public LaunchEvent(javax.faces.component.UIComponent source,
                     javax.faces.component.UIViewRoot viewRoot)

      Create a LaunchEvent.
      Parameters:
        `source` - the component responsible for launching the dialog
        `viewRoot` - the UIViewRoot to be displayed at the start of the dialog

  - ### Method Detail

    - #### launchDialog

          public void launchDialog(boolean useWindow)

    - #### getViewRoot

          public javax.faces.component.UIViewRoot getViewRoot()

      The UIViewRoot that will be displayed at the start of the dialog.

    - #### getDialogParameters

          public Map<String,Object> getDialogParameters()

      A map of parameters to pass to the dialog. All entries in the map will be added to the pageFlowScope.

    - #### getWindowProperties

          public Map<String,Object> getWindowProperties()

      A map of user interface hints used to configure a dialog. The set of property keys will depend on the current RenderKit. However, "width" and "height" are common examples. The map will be ignored if a dialog is not used. =-=AEW getWindowProperties or getDialogProperties or ??

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventObject`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.